<div class="wrap">  
	<h2>CustomEasy - Global Codes</h2>  

	<?php
	// HANDLE DATA
	if(isset($_POST['lcce_global_submit'])) { 
		if (!isset($_POST['lcce_noncename']) || !wp_verify_nonce($_POST['lcce_noncename'], 'lcce')) {die('<p>Cheating?</p>');};
		
		$metas = array('lcce_global_head_code', 'lcce_global_footer_code');
		foreach($metas as $meta) {
			$val = (isset($_POST[$meta])) ? stripslashes(trim($_POST[$meta])) : false;
			
			if(empty($val)) {
				delete_option($meta);	
			} else {
				update_option($meta, $val); 
			}
		}
		
		echo '<div class="updated"><p><strong>Codes saved!</strong></p></div>';
	}
	
    $head = (isset($_POST['lcce_global_head_code'])) ? $_POST['lcce_global_head_code'] : get_option('lcce_global_head_code', '');
	$footer = (isset($_POST['lcce_global_footer_code'])) ? $_POST['lcce_global_footer_code'] : get_option('lcce_global_footer_code', '');
	?>

  	<form name="lcce_global" method="post" class="form-wrap" id="lcce_global_form" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>" style="margin-top: 12px;">
        <div>
            <table class="widefat" style="padding-bottom: 12px; border: none;">
              <tr>
                <td id="lcce_head_wrap">
                  <label><h3 style="margin-top: 10px;">Head code</h3></label>
                  <textarea name="lcce_global_head_code" id="lcce_global_head_code" style="width: 99%;" rows="18"><?php echo stripslashes($head); ?></textarea>
                </td>
              </tr>
              <tr>
                <td id="lcce_footer_wrap">
                  <label><h3 style="margin-top: 18px;">Footer code</h3></label>
                  <textarea name="lcce_global_footer_code" id="lcce_global_footer_code" style="width: 99%;" rows="30"><?php echo stripslashes($footer); ?></textarea>
                </td>
              </tr>
            </table>
            
			<p style="margin-top: 20px;">
            	<input type="submit" name="lcce_global_submit" value="Update" class="button-primary" />
            </p>
        </div>   
        
        <?php	
		// create a custom nonce for submit verification later
		echo '<input type="hidden" name="lcce_noncename" value="' . wp_create_nonce('lcce') . '" />';
		?>
    </form>
    
    
    <?php /*** SYNTAX HIGLINER ***/ ?>
    <style type="text/css">
	.ace_editor {
		border: 1px solid lightgray;
		margin: auto;
		height: 100px;
		width: 100%;
	}
	.scrollmargin {
		height: 80px;
        text-align: center;
	}
    </style>
    
    <script src="<?php echo LCCE_URL ?>/js/ace/src-min/ace.js" type="text/javascript"></script>
    <script type="text/javascript">
	jQuery(document).ready(function($) {
		// head code
		var head_editor = ace.edit("lcce_global_head_code");
		head_editor.setOptions({
			autoScrollEditorIntoView: true,
			maxLines: 1000
		});
		head_editor.session.setMode("ace/mode/html");
		head_editor.setTheme("ace/theme/tomorrow");
		head_editor.renderer.setScrollMargin(10, 10, 10, 10);
		
		// footer code
		var footer_editor = ace.edit("lcce_global_footer_code");
		footer_editor.setOptions({
			autoScrollEditorIntoView: true,
			maxLines: 1000
		});
		footer_editor.session.setMode("ace/mode/html");
		footer_editor.setTheme("ace/theme/tomorrow");
		footer_editor.renderer.setScrollMargin(10, 10, 10, 10);
		
		// restore textareas with new contents
		jQuery(document).on('submit', '#lcce_global_form', function() {
			jQuery('#lcce_head_wrap').append('<textarea name="lcce_global_head_code" style="display: none;">'+ head_editor.getValue() +'</textarea>');
			jQuery('#lcce_footer_wrap').append('<textarea name="lcce_global_footer_code" style="display: none;">'+ footer_editor.getValue() +'</textarea>');
		});
	});
	</script>
</div>